Problem installing and running hulahop on ubuntu 8.10

vijit singh vijitthetopcoder at
Fri Sep 4 12:45:32 EDT 2009

Hello all,

I am facing problem in installing and running hulahop on ubuntu 8.10. Here
are the steps taken-

1. Firstly, I build the req xulrunner and xpcom libraries, though xulrunner
was already installed by default, anyways it was upgraded in the process.
2. Then, I build the hulahop libraries using the ubuntu synaptics manager.
3. However, if I try to import hulahop, here is the error which I get - .
4. As, the req. library - is already installed in the
xulrunner package ( I checked it , was present at /usr/lib/xulrunner-
), so it seemed that there are some linking problems and thus firstly, I
tried to adjust the path using the LD_LIBRARY_PATH and the PYTHONPATH
variables, however they didn't work.
5. Then, I copied all the contents of the xulrunner folder ( containing the
file to the hulahop folder, so that in this case even if the
files are not linked properly, the compiler would be able find the req file,
however still the same error continued.
6. So, it seems that the hulahop files which got installed are broken, but I
have tried installing the hulahop file by this method 3 times, they didn't
7. Is there any other method to build hulahop on ubuntu8.10, the 'sudo
apt-get ' method will also install the same files I believe, so some other
method where I can build from the hulahop source itself.

I will soon be trying it on Fedora also but since currently I am not having
a Fedora build with me , so the process might just take some time, till then
kindly give your suggestions about how this problem can be solved.. Also,
please let me know if I am wrong in any of my steps.

VIJIT aka sumit
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <>

More information about the Devel mailing list